package com.nantian.cloud.jljc.mapper;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.TTrainingPerson;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jljc.vo.TTrainingPersonVo;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * 培训活动-人员信息
 *
 * @date 2020-09-03 13:23:34
 */
@Mapper
public interface TTrainingPersonMapper extends BaseMapper<TTrainingPerson> {

    Object getInfo(String enterpriseName, String name, Date updateTime);

    Object getCount(Integer trainingId);


    Object getPersonInfo(String territorial, String enterpriseName, String name, String trainingId);

    List getInfoT(String enterpriseName, Integer trainingId, Date updateTime);

    List<TTrainingPerson> getInfoBy(String enterpriseName, Date updateTime);

    List<TTrainingPerson> getInfoByBrainingId(String enterpriseName);

    List getInfoById(String enterpriseName, Integer id, Date updateTime);

    List<TTrainingPerson> getPerson(String id);

    Integer getCountById(Integer id);

    IPage<TTrainingPersonVo> pageByScope(Page page, @Param("p") TTrainingPerson tTrainingPerson, DataScope dataScope);
    IPage<TTrainingPersonVo> getTrainingPersonInfo(Page page, @Param("userid") Integer userid, @Param("year") String year, @Param("trainingName") String trainingName);

}
